Skip to content
v2.273.0

ManualApprovalStepProps Struct ​

Construction properties for a ManualApprovalStep.

Example ​

ts
declare const pipeline: pipelines.CodePipeline;
const preprod = new MyApplicationStage(this, 'PreProd');
const prod = new MyApplicationStage(this, 'Prod');
const topic = new sns.Topic(this, 'ChangeApprovalTopic');

pipeline.addStage(preprod, {
  post: [
    new pipelines.ShellStep('Validate Endpoint', {
      commands: ['curl -Ssf https://my.webservice.com/'],
    }),
  ],
});
pipeline.addStage(prod, {
  pre: [new pipelines.ManualApprovalStep('PromoteToProd', {
    //All options below are optional
    comment: 'Please validate changes',
    reviewUrl: 'https://my.webservice.com/',
    notificationTopic: topic,
  })],
});

Properties ​

commentstringcommentstrcommentStringCommentstringComment*string= No comment#
The comment to display with this manual approval.
notificationTopicITopicnotification_topicITopicnotificationTopicITopicNotificationTopicITopicNotificationTopicITopic= No notifications#
Optional SNS topic to send notifications to when an approval is pending.
reviewUrlstringreview_urlstrreviewUrlStringReviewUrlstringReviewUrl*string= No URL#
The URL for review associated with this manual approval.

Used as props by ​